
Redmine - Feature #23743

Add index to workflows.tracker_id

2016-09-01 15:59 - Victor Campos

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Hi,

when I enter in trackers#index the redmine make this query for each tracker:

SELECT COUNT(*) FROM "workflows" WHERE "workflows"."tracker_id" = $1

 But there is no index for "workflows"."tracker_id", and each query takes 88ms +-

After add index each query takes 0.3ms

Associated revisions

Revision 15859 - 2016-10-01 14:23 - Jean-Philippe Lang

Add index to workflows.tracker_id (#23743).

History

#1 - 2016-09-02 06:48 - Go MAEDA

- Target version set to Candidate for next minor release

#3 - 2016-09-06 14:55 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.4.0

#4 - 2016-10-01 14:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Index added in r15859.
